com.google.gwt.user.client.ui

## Class DockPanel.LayoutData

- java.lang.Object
- - com.google.gwt.user.client.ui.DockPanel.LayoutData

Enclosing class:
  DockPanel

    static class DockPanel.LayoutData
    extends java.lang.Object

### Field Summary

Fields
`DockPanel.DockLayoutConstant` `direction`
`java.lang.String` `hAlign`
`java.lang.String` `height`
`Element` `td`
`java.lang.String` `vAlign`
`java.lang.String` `width`

### Constructor Summary

Constructors
Constructor and Description
`LayoutData(DockPanel.DockLayoutConstant dir)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### direction

    public DockPanel.DockLayoutConstant direction

#### hAlign

    public java.lang.String hAlign

#### height

    public java.lang.String height

#### td

    public Element td

#### vAlign

    public java.lang.String vAlign

#### width

    public java.lang.String width

### Constructor Detail

#### LayoutData

    public LayoutData(DockPanel.DockLayoutConstant dir)